[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: cups wants to write to /usr/lib/python2.4/.../printconf_tui.pyo, etc



Tim Waugh wrote:

On Sat, Dec 04, 2004 at 10:48:54AM -0800, Tom London wrote:



Running strict/enforcing, latest Rawhide.

When logging in, cups, running in cupsd_config_t
wants to write /usr/lib/python/site-packages/printconf_tui.pyo,
and /usr/share/printconf/util/printconf_tui.pyo.
Strict and Permissive avc's shown below.



*sigh*


This comes up periodically.  I am still waiting for the rpm
configuration bit that fixes this to be turned on.


The automagic brp-python-bytecompile policy is turned on by default in rpm-4.3.3-8, which should be in FC4 tomorrow.

Beehive (and redhat-rpm-config) is promised as well.

And all python packages are going to need rebuild to acquire
   Requires: python(abi) = 2.4
so perhaps the problem of associating file contexts with
lazily compiled/created *.pyc and *.pyo will finally be headed
towards resolution without forcing python to link libselinux.

73 de Jeff



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]